<!DOCTYPE html>
<html lang="en">
<head>
	<title>Join now</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/material-design-iconic-font/2.2.0/css/material-design-iconic-font.min.css">
	<!--<link rel="stylesheet" type="text/css" href="../../assets/material-design-iconic-font/css/material-design-iconic-font.css">-->
</head>

<body>
	<app-top-menu></app-top-menu> 
	<div class="limiter">
		<div class="container-login100 bg-img">
			<div class="wrap-login100 p-t-30 p-b-50">
				<span class="login100-form-title p-b-41">
					<div class="title">Sign up</div>
				</span>
				<form class="login100-form validate-form p-b-33 p-t-5"  #signupForm = "ngForm" (ngSubmit) = "onSubmit(signupForm)">
                    
                    <div class="wrap-input100 validate-input" data-validate = "Please, type in username">
						<input 
							class="input100" 
							type="text" 
							name="usrname"
							ngModel
							#usrname = "ngModel" 
							placeholder="Username" 
							required>

						<div 
							*ngIf = "usrname.errors?.required && (usrname.touched || submitTouched)" 
							class="alert alert-danger" role="alert">Username is required
						</div>


						<span class="focus-input100"></span>
                    </div>
                    
					<div class="wrap-input100 validate-input" data-validate = "Please, type in email adress">
					<input 
						 class="input100" 
						 type="email" 
						 name="email" 
						 placeholder="E-mail"
						 ngModel
						 #email = "ngModel"
						 required
						 email>
					<div 
						 *ngIf = "email.errors?.required && (email.touched || submitTouched)" 
						 class="alert alert-danger" role="alert">E-mail is required
					</div>

					<div 
						*ngIf = "email.errors?.email && (email.touched || submitTouched)" 
						class="alert alert-danger" role="alert">Must be a vaild e-mail adress
					</div>
					 
					<span class="focus-input100"></span>
					</div>
                                        				
					<div class="wrap-input100 validate-input" data-validate = "Please, type in password">
						<input  
							class="input100" 
							type="password" 
							name="pass1" 
							placeholder="Password"
							ngModel
							#pass1 = "ngModel"  
							required>
						<div 
							*ngIf = "pass1.errors?.required && (pass1.touched || submitTouched)" 
							class="alert alert-danger" role="alert">Password is required
						</div>

						<span class="focus-input100"></span>
					</div>

					<div class="wrap-input100 validate-input" data-validate="Please confirm password">
						<input  
							class="input100" 
							type="password" 
							name="Pass2" 
							placeholder="Confirm password"
							ngModel
							#pass2 = "ngModel"  
							required
							pattern="{{pass1.value}}">
						<div 
							*ngIf = "pass2.errors?.required && (pass2.touched || submitTouched)" 
							class="alert alert-danger" role="alert"
							>Password is required
						</div>
						<div
							*ngIf = "pass2.errors?.pattern && (submitTouched)" 
							class="alert alert-danger" role="alert" >Passwords do not match
						</div>
						<div *ngIf = "msg">
							<p class="alert alert-danger" role="alert">{{msg}}</p>
						</div>

						<span class="focus-input100"></span>
					</div>

					<div class="container-login100-form-btn m-t-32" type="submit" value="Submit">
						<button class="login100-form-btn sign-up-button">Create account</button>
					</div>

					<div class="alert alert-primary" role="alert">
						<p>Already have account?</p>
						<button (click)= "gotoLogIn()" class="btn btn-primary">Log In</button>
					</div>				
				</form>
				
			</div>
		</div>
    </div>	
    
    <script src="vendor/jquery/jquery-3.2.1.min.js"></script>
</body>
</html>
